aboutsummaryrefslogtreecommitdiff
path: root/git-rebase.sh
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2013-04-26 15:28:34 -0700
committerJunio C Hamano <gitster@pobox.com>2013-04-26 15:28:34 -0700
commitd1ab71804fe2afff4afa664c46a938a72fd237a7 (patch)
treeec51114efc56db221b29fc792c003fc3a8caa1db /git-rebase.sh
parent019eb0dd351ee53b875df27f6748bcb69dc02063 (diff)
parentea709800302ecae8c2fbb03af01e36b7f9b4d042 (diff)
downloadgit-d1ab71804fe2afff4afa664c46a938a72fd237a7.tar.gz
git-d1ab71804fe2afff4afa664c46a938a72fd237a7.tar.xz
Merge branch 'ph/rebase-original'
* ph/rebase-original: rebase: find orig_head unambiguously
Diffstat (limited to 'git-rebase.sh')
-rwxr-xr-xgit-rebase.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/git-rebase.sh b/git-rebase.sh
index b2f1c76dc..2c692c33e 100755
--- a/git-rebase.sh
+++ b/git-rebase.sh
@@ -473,7 +473,7 @@ case "$#" in
head_name="detached HEAD"
branch_name=HEAD ;# detached
fi
- orig_head=$(git rev-parse --verify "${branch_name}^0") || exit
+ orig_head=$(git rev-parse --verify HEAD) || exit
;;
*)
die "BUG: unexpected number of arguments left to parse"